AnsweredAssumed Answered

Installation librairie PHP

Question asked by tototurbo on May 22, 2008
Latest reply on May 29, 2008 by tototurbo
Bonjour,

J'ai une question concernant l'installation du module PHP library (alfresco 2.1, Win XP SP2, Tomcat 5.5, FireFox 2.0, apache 2, PHP5) :

- En l'installant depuis le package zip, j'ai une structure de répertoires dans lesquels je retrouve tous les fichiers cités dans les tutoriaux (fichier session.php, repository.php,…) et l'API semble fonctionner. En revanche, les scripts d'exemple php ne fonctionnent pas lorsqu'ils sont lancés depuis le web client.

- En l'installant depuis le package amp, les scripts lancés depuis le web client fonctionnent, mais pas l'API (les exemples des tutoriaux appellent notamment les fichiers "session.php" et "repository.php" , par des fonctions 'include').

Quelle est donc la bonne procédure pour l'installation de ce module ? Comment faire pour la version 2.9, où seul l'amp est disponible en téléchargement ?

Merci d'avance de votre aide

P.S : J'ai vu un pb ressemblant un peu quelque posts plus bas, mais visiblement sans plus de réponses : (http://forum.alfresco-fr.org/viewtopic.php?f=6&t=108)

Outcomes